<html>
<head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Author" content="Zend Japan">
<meta http-equiv="Description" content="単純なデータ取得の例：ODBC版">
<title>sample90</title>
</head>
<body>
<?php
//DB接続
require_once 'inc/odbcconn.inc';

//改行
$eol = "\r\n";

//テスト用PF
$test_pf = 'ZTESTF';

$query = 'SELECT ' .
'RTRIM(COLA) AS COLA, ' .
'RTRIM( CAST( COLO AS CHAR(18) ) ) AS COLO, ' .
'RTRIM( CAST( COLJ AS CHAR(18) ) ) AS COLJ, ' .
'COLP, ' .
'COLS  ' .
'FROM ' .
//odbc_connectでi5_lib(i5_libl)が使えないのでライブラリーの明示が必要
$my_lib . '.' . $test_pf;

$result = odbc_exec($db_con, $query);
if(!$result){
	echo 'SQLが実行できませんでした<br>';

	//db2関数とは異なりエラー状況取得関数は
	//接続用とSQL実行用とで分かれていません
	echo odbc_errormsg();

	odbc_close($db_con);
    echo '</body></html>';
    return ;
}

echo '<table border=1>' . $eol;
echo '<tr><th>COLA</th><th>COLO</th><th>COLJ</th><th>COLP</th><th>COLS</th></tr>' . $eol;

while(odbc_fetch_row($result)) {
    $cola = odbc_result($result, 'COLA');
    $colo = odbc_result($result, 'COLO');
    $colj = odbc_result($result, 'COLJ');
    $colp = odbc_result($result, 'COLP');
    $cols = odbc_result($result, 'COLS');

    echo '<tr>';
    echo '<td>'. $cola . '</td>';
    echo '<td>'. $colo . '</td>';
    echo '<td>'. $colj . '</td>';
    echo '<td>'. $colp. '</td>';
    echo '<td>'. $cols . '</td>';
    echo '</tr>' . $eol;
}

echo '</table>';

odbc_close($db_con);

//odbc接続に関するTips
//データベースの更新はSQLのCREATE SCHEMA文で作成したライブラリか、
//ジャーナルを設定したならば可能になります。
?>
</body>
</html>